# SoVRMLLight Class Reference

`#include <Inventor/VRMLnodes/SoVRMLLight.h>`

Inheritance diagram for SoVRMLLight:

List of all members.

## Detailed Description

The SoVRMLLight class is a superclass for VRML light nodes.

## Public Member Functions

virtual void | GLRender (SoGLRenderAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFBool | on
SoSFFloat | intensity
SoSFColor | color
SoSFFloat | ambientIntensity

## Protected Member Functions

| SoVRMLLight (void)
virtual | ~SoVRMLLight ()

## Constructor & Destructor Documentation

SoVRMLLight::SoVRMLLight | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLLight::~SoVRMLLight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLLight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoVRMLDirectionalLight, SoVRMLPointLight, and SoVRMLSpotLight.

void SoVRMLLight::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode. Reimplemented in SoVRMLDirectionalLight, SoVRMLPointLight, and SoVRMLSpotLight.

## Member Data Documentation

SoSFBool SoVRMLLight::on

| Enable/disable light. Default value is TRUE.

SoSFFloat SoVRMLLight::intensity

| The light intensity. A value from 0 to 1. Default value is 1.

SoSFColor SoVRMLLight::color

| The light color. Default value is (1, 1, 1).

SoSFFloat SoVRMLLight::ambientIntensity

| The light ambient intensity. A value from 0 to 1. Default value is 0.

The documentation for this class was generated from the following files:

- SoVRMLLight.h
- Light.cpp